Skip to main content
curl --request GET 'https://api.mayar.id/hl/v2/customers?limit=10' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
    "statusCode": 200,
    "messages": "success",
    "data": [
        {
            "id": "a1b2c3d4-e5f6-4789-a012-3456789abcde",
            "createdAt": 1761557824548,
            "email": "budi.santoso@example.com",
            "mobile": "081234567890",
            "name": "Budi Santoso",
            "status": "active",
            "updatedAt": 1761557824548,
            "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413"
        },
        {
            "id": "b2c3d4e5-f6a7-4890-b123-456789abcdef",
            "createdAt": 1707302705027,
            "email": "siti.aminah@example.com",
            "mobile": "081298765432",
            "name": "Siti Aminah",
            "status": "active",
            "updatedAt": 1707302705027,
            "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413"
        },
        {
            "id": "c3d4e5f6-a7b8-4901-c234-56789abcdef0",
            "createdAt": 1769830909621,
            "email": "andi.pratama@example.com",
            "mobile": "081200000001",
            "name": "Andi Pratama",
            "status": "active",
            "updatedAt": 1769830909621,
            "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413"
        }
    ],
    "hasMore": true,
    "nextStartingAfter": "1769830909621"
}
Endpoint:
https://api.mayar.id/hl/v2/customers?limit=10

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Query Parameters

Filter customers by a specific payment link ID.
startAt
string
Start of the date range to filter by (Unix timestamp in milliseconds).
endAt
string
End of the date range to filter by (Unix timestamp in milliseconds).
limit
integer
default:"10"
Number of items to return per page. Defaults to 10, with a maximum of 50.
startingAfter
string
Cursor for forward pagination. Pass the nextStartingAfter value from the previous response (a Unix timestamp in milliseconds, as a string) to fetch the next page.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
List of customers displayed.
hasMore
boolean
Information on whether there is additional data to be retrieved (true/false).
nextStartingAfter
string | null
Cursor to pass as startingAfter to fetch the next page. null when there is no further data.

data Structure (Array Of Object)

id
string<uuid>
Unique customer ID.
createdAt
integer | timestamp - Unix epoch in milliseconds
The time the data was created.
email
string
Customer’s email address.
mobile
string
Customer’s phone number.
name
string
Customer’s name.
status
string
Customer status, e.g., “active”, “inactive”.
updatedAt
integer | timestamp - Unix epoch in milliseconds
The last time the data was updated.
userId
string<uuid>
The user ID of the owner of this data/customer.